%if 0%{?el7}
%define dist .el7
%endif

# git clone https://git.xiph.org/daala.git
# git log -1 --pretty=format:".git%h"
# tar acvf daala%%{?gitver}.tar.xz --exclude=.git daala
%define gitver .gitd10a875

Name:           daala
Version:        0
Release:        15%{?gitver}%{?dist}
Summary:        Next-generation video codec

Group:          System Environment/Libraries
License:        Xiph.Org
URL:            http://xiph.org/daala/
Source0:        %{name}%{?gitver}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

BuildRequires:  autoconf automake libtool gcc gcc-c++
BuildRequires:  SDL-devel liboggz-devel
%if 0%{?fedora} >= 30
BuildRequires:  wxGTK3-devel  
%else
BuildRequires:  wxGTK-devel
%endif
BuildRequires:  SDL2-devel
BuildRequires:  libjpeg-turbo-devel check-devel

%description
Daala is the code-name for a new video compression technology. The effort is a collaboration between Mozilla Foundation, Xiph.Org Foundation and other contributors. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Development static files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    static
The %{name}-static package contains static libraries files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}
./autogen.sh

%build
%configure \
	--enable-assertions \
	--enable-logging \
	--enable-analyzer \
	--with-wxdir=%{_usr} \
	--with-wx-config=/usr/bin/wx-config \
	--with-wx-prefix=%{_usr}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Thu May 26 2016 momo-i <webmaster@momo-i.org> - 0-15.gitca44520
- Update to ca44520

* Tue May 10 2016 momo-i <webmaster@momo-i.org> - 0-14.git329c890
- Update to 329c890

* Tue Jan 26 2016 momo-i <webmaster@momo-i.org> - 0-13.git89861a6
- Update to 89861a6

* Thu Jan 21 2016 momo-i <webmaster@momo-i.org> - 0-12.git3a374e3
- Update to 3a374e3

* Fri Jan 08 2016 momo-i <webmaster@momo-i.org> - 0-11.gita1f5eac
- Update to a1f5eac

* Sun Dec 27 2015 momo-i <webmaster@momo-i.org> - 0-10.gitee6c2a4
- Update to ee6c2a4

* Mon Dec 07 2015 momo-i <webmaster@momo-i.org> - 0-9.git72894b0
- Update to 72894b0

* Mon Nov 02 2015 momo-i <webmaster@momo-i.org> - 0-8.git673c375
- Update to 673c375

* Thu Oct 01 2015 momo-i <webmaster@momo-i.org> - 0-7.gitee284c3
- Update to ee284c3

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0-6.gite0efc9e
- Update dist for centos7

* Tue Aug 25 2015 momo-i <webmaster@momo-i.org> - 0-5.gite0efc9e
- Update to .gite0efc9e

* Fri Aug 14 2015 momo-i <webmaster@momo-i.org> - 0-4.git96d3c73
- Update to .git96d3c73

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0-3.gitdd58a77
- Rebuilt for fc23

* Tue May 19 2015 momo-i <webmaster@momo-i.org> - 0-2.gitdd58a77
- Update to .gitdd58a77

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0-1
- Initial rpm release.
